| Flutter Impeller |

Public Member Functions | List of all members
impeller::interop::Path Class Referencefinal

`#include <path.h>`

Inheritance diagram for impeller::interop::Path:

## Public Member Functions
| Path (const SkPath &path)
| ~Path ()
| Path (const Path &)=delete
Path & | operator= (const Path &)=delete
const SkPath & | GetPath () const
ImpellerRect | GetBounds () const
Public Member Functions inherited from impeller::interop::ObjectBase
| ObjectBase ()=default
virtual | ~ObjectBase ()=default
| ObjectBase (const ObjectBase &)=delete
| ObjectBase (ObjectBase &&)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
ObjectBase & | operator= (ObjectBase &&)=delete
void | Retain ()
void | Release ()
uint64_t | GetRefCountForTests () const

## Additional Inherited Members
Public Types inherited from impeller::interop::Object< Path, IMPELLER_INTERNAL_HANDLE_NAME(ImpellerPath)>
using | InteropClass = Path
using | InteropCSibling = IMPELLER_INTERNAL_HANDLE_NAME(ImpellerPath)
Static Public Member Functions inherited from impeller::interop::ObjectBase
static void | SafeRetain (void *ptr)
static void | SafeRelease (void *ptr)

## Detailed Description

Definition at line 14 of file path.h.

## Constructor & Destructor Documentation

## ◆ Path() [1/2]

impeller::interop::Path::Path | ( | const SkPath & | path | ) |
| explicit

Definition at line 9 of file path.cc.

9 : path_(path) {}

## ◆ ~Path()

impeller::interop::Path::~Path | ( |  | ) |
| default

## ◆ Path() [2/2]

impeller::interop::Path::Path | ( | const Path & |  | ) |
| delete

## Member Function Documentation

## ◆ GetBounds()

ImpellerRect impeller::interop::Path::GetBounds | ( |  | ) | const

Definition at line 17 of file path.cc.

17 {
18 const auto bounds = path_.getBounds();
19 return ImpellerRect{
20 .x = bounds.x(),
21 .y = bounds.y(),
22 .width = bounds.width(),
23 .height = bounds.height(),
24 };
25 }
ImpellerRect
Definition: impeller.h:502
ImpellerRect::x
float x
Definition: impeller.h:503

References ImpellerRect::x.

## ◆ GetPath()

const SkPath & impeller::interop::Path::GetPath | ( |  | ) | const

Definition at line 13 of file path.cc.

13 {
14 return path_;
15 }

Referenced by impeller::interop::DisplayListBuilder::ClipPath(), impeller::interop::DisplayListBuilder::DrawPath(), and impeller::interop::DisplayListBuilder::DrawShadow().

## ◆ operator=()

Path& impeller::interop::Path::operator= | ( | const Path & |  | ) |
| delete

The documentation for this class was generated from the following files:

- impeller/toolkit/interop/path.h
- impeller/toolkit/interop/path.cc